Bug 164283 - CAN-2005-2368 vim modeline arbitrary command execution
Summary: CAN-2005-2368 vim modeline arbitrary command execution
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050725,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-26 15:32 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-12 14:15:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-07-26 15:32:34 UTC
+++ This bug was initially created as a clone of Bug #164279 +++

A bug was found in vim which can allow a malicious modeline to execute arbitrary
code.

The initial discovery is here:
http://www.guninski.com/where_do_you_want_billg_to_go_today_5.html

The fix for this issue seems to span two patchsets (the second fixes what the
first misses)
ftp://ftp.vim.org/pub/vim/patches/6.3/6.3.081
ftp://ftp.vim.org/pub/vim/patches/6.3/6.3.082

Comment 1 Josh Bressers 2005-07-26 15:33:55 UTC
This issue should also affect FC3


Note You need to log in before you can comment on or make changes to this bug.